.host-layout {
    display: grid;
    height: 88.5% !important;
    grid-template-areas: "form";
    /* grid-template-columns: auto 1fr auto; */
    /* grid-template-rows: auto; */
}

.host-layout>.action-class {
    grid-area: acts;
    width: 100%;
    z-index: 0;
}

.host-layout>.form-class {
    grid-area: form;
    width: 100%;
    z-index: 1;
}

.host-layout>.nav-class {
    grid-area: navs;
    width: 100%;
    z-index: 0;
}

@media ( max-width: 989px) {
    .host-layout {
        grid-template-areas: "navs navs navs navs navs navs navs navs navs navs navs navs" "acts acts acts acts acts acts acts acts acts acts acts acts" "form form form form form form form form form form form form";
        grid-template-columns: 1fr;
        grid-template-rows: auto;
    }
    .host-layout>.action-class {
        grid-area: acts;
    }
    .host-layout>.form-class {
        grid-area: form;
        width: 100%;
    }
    .host-layout>.nav-class {
        grid-area: navs;
        width: 100%;
    }
}

.full-screen {
    display: grid;
    grid-template-areas: "acts form form form form form form form form form form navs";
    grid-template-columns: 6rem 1fr 1px;
    grid-template-rows: auto;
}

.full-screen>.action-class {
    grid-area: acts;
    width: 100%;
}

.full-screen>.form-class {
    grid-area: form;
    width: 100%;
}

.full-screen>.nav-class {
    grid-area: navs;
    width: 100%;
}